Skip to main content
GET
/
v2
/
beneficiaries
/
{id}
Retrieve a beneficiary
curl --request GET \
  --url https://thirdparty.qonto.com/v2/beneficiaries/{id} \
  --header 'Authorization: Bearer <token>'
{
  "beneficiary": {
    "id": "ce91bc4e-68d6-4ab0-bfab-4a9403f7f316",
    "name": "Alice In Wonderland",
    "status": "validated",
    "trusted": true,
    "created_at": "2021-01-27T22:05:07.000Z",
    "updated_at": "2021-01-27T22:05:07.000Z",
    "bank_account": {
      "iban": "<string>",
      "bic": "<string>",
      "currency": "<string>",
      "account_number": "<string>",
      "routing_number": "<string>",
      "intermediary_bank_bic": "<string>",
      "swift_sort_code": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Path Parameters

id
string<uuid>
required

Response

Returns the beneficiary

beneficiary
object
required